var db = null;
var appBuild = 16;
var lang = 0;

document.addEventListener("deviceready", function() {
    db = window.sqlitePlugin.openDatabase({name: "luviaGamesFallingMiner.db", createFromLocation: 1, location: "default"}, function(){
        db.transaction(function(tx){
            tx.executeSql("SELECT * FROM settingsTable", [], function(tx, res){
                if(res.rows.item(0).firsttime == 1){
                    var navLanguage = navigator.language;
                    if(navLanguage.includes("en")){
                        lang = 0;
                    }
                    if(navLanguage.includes("es")){
                        lang = 1;
                    }
                    if(navLanguage.includes("fr")){
                        lang = 2;
                    }
                    if(navLanguage.includes("it")){
                        lang = 3;
                    }
                    if(navLanguage.includes("ja")){
                        lang = 4;
                    }
                    if(navLanguage.includes("zh")){
                        lang = 5;
                    }                    
                    tx.executeSql("UPDATE settingsTable SET lang=?", [lang], function(tx, res){});
                    tx.executeSql("UPDATE settingsTable SET firsttime=?", [0], function(tx, res){});
                }
                else{
                    lang = res.rows.item(0).lang;
                }
                if(appBuild > res.rows.item(0).build){
                    var updateScript = document.createElement("script");
                    updateScript.setAttribute("src","js/updateScript.js");
                    document.head.appendChild(updateScript);
                }
                else{
                    loadGame();
                }
            });
        }, function(error){
            alert(error);
        }, function(){});
    }, function(error){
        alert(error);
    });
});

function loadGame(){
    loadCaves();
    loadMinerals();
    loadStore();
    loadPremiumInfo();
    setTimeout(function(){
        loadSettings();
        translateUI(lang);
        navigator.splashscreen.hide();
    }, 400);
}
